Bug 311131 - Gnome-panel confused about resolution after switching from laptop display to monitor
Gnome-panel confused about resolution after switching from laptop display to ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-28 11:13 EDT by Robin Norwood
Modified: 2009-01-09 02:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:16:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot (157.06 KB, image/png)
2007-09-28 11:13 EDT, Robin Norwood
no flags Details
xorg.conf (865 bytes, text/plain)
2007-09-28 11:15 EDT, Robin Norwood
no flags Details
xorg log (86.24 KB, text/plain)
2007-10-02 15:06 EDT, Robin Norwood
no flags Details
/var/log/Xorg.0.log (113.33 KB, text/plain)
2007-10-18 11:00 EDT, Craig Harrison
no flags Details
xorg.conf - autogenerated (812 bytes, application/octet-stream)
2007-10-18 11:09 EDT, Craig Harrison
no flags Details

  None (edit)
Description Robin Norwood 2007-09-28 11:13:26 EDT
Hardware is IBM thinkpad t43 with ATI radeon video:

01:00.0 VGA compatible controller: ATI Technologies Inc M22 [Mobility Radeon X300]

Monitor is Sony LCD (system-config-display detects it as 'SDM-S73')

When using the laptop display, things work fine at 1024x768.  However, after
shutting down, connecting to docking station, and then rebooting, X and gnome
are confused.  The face-browser only seems to fill about 800x600 worth of
pixels, and the gnome panels are placed as if for an 800x600 desktop.  The
desktop extends to the full 1280x1024 resolution.  Maximized windows fit just
fine in the entire display, with the 'bottom' panel on top of them.

Also, system-config-display says the resolution is set to 1024x768, but the
monitor claims 1280x1024, which looks correct to me.

Adjusting the panels works to some degree - the bottom panel can be dragged to
the bottom of the screen, but I can't convince the top panel to behave at all.
Comment 1 Robin Norwood 2007-09-28 11:13:26 EDT
Created attachment 210611 [details]
screenshot
Comment 2 Robin Norwood 2007-09-28 11:15:20 EDT
Created attachment 210621 [details]
xorg.conf

I'm using the auto-generated xorg.conf and the radeon driver.  No funny
business.
Comment 3 Matěj Cepl 2007-10-02 06:33:19 EDT
Robin, still, we could use that /var/log/Xorg.0.log.
Comment 4 Robin Norwood 2007-10-02 15:06:03 EDT
Created attachment 213821 [details]
xorg log

Sure, there it is.
Comment 5 Craig Harrison 2007-10-18 11:00:31 EDT
Created attachment 231111 [details]
/var/log/Xorg.0.log
Comment 6 Craig Harrison 2007-10-18 11:01:30 EDT
Hardware is Gateway MX7525 (laptop) 
Monitor is a "LCM-22w3" external LCD monitor.
Video card is an "ATI Technologies Inc M24 1P [Radeon Mobility X600]" using the
radeon driver.
Version is Fedora 8 test 3.

Just like Robin things work fine on my 1024x768 laptop display, but upon
switching to the external monitor the fedora loading and login screens only fill
1024x768 of the screen (the rest is black), then upon login the desktop is the
correct size but the gnome panels are placed as if the desktop was still
1024x768. I can drag the bottom panel to fix it, but the top panel refuses to
become wider than 768px. All windows work fine. system-config-display reports a
resolution of 1280x800, which is correct. In fedora test 2,
system-config-display reported 1024x768 for the resolution, which was incorrect
as the display was acting the same. This external monitor works correctly with
Fedora 7.

My /var/long/Xorg.0.log is posted above ^
Comment 7 Craig Harrison 2007-10-18 11:09:52 EDT
Created attachment 231121 [details]
xorg.conf - autogenerated
Comment 8 Craig Harrison 2007-10-18 11:27:05 EDT
My apologies, I had some numbers wrong in Comment #6. My actual resolution is
1680x1050. system-config-display has the WRONG resolution when it says 1280x800,
which is what I believe the gnome panels and fedora log are being sized for.
Comment 9 Bug Zapper 2008-04-04 09:56:37 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 10 Bug Zapper 2008-11-26 02:52:18 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-01-09 02:16:58 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.